Subject: Re: [net-next][PATCH v4] dt-bindings: dsa: Add lan9303 yaml

From: Jakub Kicinski <[email-masked]>
Date: Mon, 17 Oct 2022 12:19:28 -0700

On Mon, 17 Oct 2022 22:13:11 +0300 Vladimir Oltean wrote:
> The portion I highlighted of the change you're making includes your name
> into the output of $(./scripts/get_maintainer.pl drivers/net/dsa/lan9303-core.c).
> In other words, you're voluntarily subscribing to the responsibility of
> being a maintainer for the driver, getting emails from other developers,
> reviewing patches. Furthermore, you also maintain the code in the stable
> trees, hence your name also gets propagated there so people who use
> those kernels can report problems to you.
> 
> The MAINTAINERS entry for lan9303 needs to go to the "net" tree, from
> where it can be backported. This covers the driver + schema files as
> they currently are. The change of the .txt to the .yaml schema then
> comes on top of that (and on "net-next").

And FWIW net gets merged into net-next every Thu so (compared to how
long this patch had been in review) it won't be a large delay to wait
for the MAINTAINERS patch to propagate.